/** @file
  MeSmmProtocolThunk.c -- MeSmmProtocolThunk

  Auto-converted from IDA decompiler output.
  Functions: 1

Copyright (c) HR650X BIOS Decompilation Project
**/

#include "MeSmmProtocolThunk.h"


// Function: ModuleEntryPoint
// Original build path:
//   PurleyRpPkg/Platform/Dxe/MeSmmProtocolThunk/MeSmmProtocolThunk/DEBUG/AutoGen.c
EFI_STATUS
ModuleEntryPoint(EFI_HANDLE ImageHandle, EFI_SYSTEM_TABLE *SystemTable)
{
  __int64 v2; // rax

  MeSmmThunkLibraryConstructor(ImageHandle, SystemTable);
  qword_1078 = 0x8000000000000001uLL;

  if ( !MeSmmThunkContextInitialized(&unk_F80) )
  {
    v2 = InstallMeSmmProtocolThunk();
    if ( v2 >= 0 || qword_1078 < 0 )
      qword_1078 = v2;

    InitializeMeSmmThunkContext(&unk_F80);
    TeardownMeSmmThunkContext(&unk_F80, -1);
    DebugAssert(
      "e:\\hs\\Build\\HR6N0XMLK\\DEBUG_VS2015\\X64\\PurleyRpPkg\\Platform\\Dxe\\MeSmmProtocolThunk\\MeSmmProtocolThunk\\DEBUG\\AutoGen.c",
      178,
      "((BOOLEAN)(0==1))");
    DebugAssert(
      "e:\\hs\\Build\\HR6N0XMLK\\DEBUG_VS2015\\X64\\PurleyRpPkg\\Platform\\Dxe\\MeSmmProtocolThunk\\MeSmmProtocolThunk\\DEBUG\\AutoGen.c",
      193,
      "((BOOLEAN)(0==1))");
  }

  return qword_1078;
}
